-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}
local sunburst_interiorlights = 0

local function toggle_sunburst_interiorlights()
    sunburst_interiorlights = 1 - sunburst_interiorlights
end

local function updateGFX(dt)
    electrics.values.sunburst_interiorlights = sunburst_interiorlights
end

-- public interface
M.toggle_sunburst_interiorlights = toggle_sunburst_interiorlights
M.updateGFX = updateGFX

return M